Authentication
Public endpoints. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request POST 'https://api.oneaster.ai/core/v1/auth/register' \ --header 'Content-Type: application/json' \ --data "$REQUEST_BODY_JSON"
Parameters
—
Request JSON Schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"token": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]{43}$",
"writeOnly": true,
"description": "注册邮箱验证开启时必填;密码注册模式必须省略。"
},
"username": {
"type": "string",
"pattern": "^[a-z0-9][a-z0-9_.-]{2,63}$"
},
"password": {
"type": "string",
"minLength": 15,
"maxLength": 128,
"writeOnly": true,
"description": "服务端校验 UTF-8 字节长度。"
}
},
"required": [
"username",
"password"
]
}
Responses
201
按注册模式创建零余额普通账号;邮箱验证开启时要求一次性证明
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"pattern": "^[0-9]+$"
}
},
"required": [
"id"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}